function x=absolutenormal(mu,rho)
% Produces a random variate from the absolute normal distribution using a normal mixture approximation.

w=1/(1+exp(2*mu*rho));
mu1=mu/2-0.5*sqrt(mu^2+4);
mu2=mu/2+0.5*sqrt(mu^2+4);
sigma1=mu1/sqrt((rho*(1+mu1^2)));
sigma2=mu2/sqrt((rho*(1+mu2^2)));

if rand<w
    x=mu1+sigma1*randn;
else
    x=mu2+sigma2*randn;
end


